## org.apache.commons.collections.bidimap
Class AbstractDualBidiMap.View

    java.lang.Object
      org.apache.commons.collections.collection.AbstractCollectionDecorator
          org.apache.commons.collections.bidimap.AbstractDualBidiMap.View

All Implemented Interfaces:
  java.lang.Iterable, java.util.Collection

Direct Known Subclasses:
  AbstractDualBidiMap.EntrySet, AbstractDualBidiMap.KeySet, AbstractDualBidiMap.Values

Enclosing class:
  AbstractDualBidiMap

    protected abstract static class AbstractDualBidiMap.View

extends AbstractCollectionDecorator

Inner class View.

Field Summary
`protected AbstractDualBidiMap` `parent` The parent map

Fields inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`collection`

Constructor Summary
`protected` `AbstractDualBidiMap.View(java.util.Collection coll, AbstractDualBidiMap parent)` Constructs a new view of the BidiMap.

Method Summary
`void` `clear()`
`boolean` `removeAll(java.util.Collection coll)`
`boolean` `retainAll(java.util.Collection coll)`

Methods inherited from class org.apache.commons.collections.collection.AbstractCollectionDecorator
`add, addAll, contains, containsAll, equals, getCollection, hashCode, isEmpty, iterator, remove, size, toArray, toArray, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### parent

    protected final AbstractDualBidiMap parent

  The parent map

Constructor Detail

### AbstractDualBidiMap.View

    protected AbstractDualBidiMap.View(java.util.Collection coll,
                                       AbstractDualBidiMap parent)

  Constructs a new view of the BidiMap.

  Parameters:
    `coll` - the collection view being decorated
    `parent` - the parent BidiMap

Method Detail

### removeAll

    public boolean removeAll(java.util.Collection coll)

  Specified by:
    `removeAll` in interface `java.util.Collection`
  Overrides:
    `removeAll` in class `AbstractCollectionDecorator`

### retainAll

    public boolean retainAll(java.util.Collection coll)

  Specified by:
    `retainAll` in interface `java.util.Collection`
  Overrides:
    `retainAll` in class `AbstractCollectionDecorator`

### clear

    public void clear()

  Specified by:
    `clear` in interface `java.util.Collection`
  Overrides:
    `clear` in class `AbstractCollectionDecorator`

Copyright © 2001-2008 The Apache Software Foundation. All Rights Reserved.